<?php include "php/cabecera2.inc";
	
	$rd = mysqli_query($conexion, "SELECT * FROM ecomm_cuenta WHERE CVE_CUENTA='$_GET[IDS]'");
	$pay = mysqli_fetch_array($rd);	
	
	if ($pay['TIPO']==0){$host = 'https://api.sandbox.paypal.com';}else{$host = 'https://api.paypal.com';}
	$clientId = $pay['CLIENTID'];
	$clientSecret = $pay['SECRET'];
	$token = $_GET['sk'];
	
	
	function CAMBIOC($PALL,$NUEVOEC){
		global $conexion;
		$sqlGM1="UPDATE tabla_inventario SET EDO_CALIDAD='$NUEVOEC' WHERE ID='$PALL'";
		$resultadoGM1=mysqli_query($conexion,$sqlGM1);
		}

	function DIVISIONC($PALL,$NUEVOEC,$CANT,$CUE,$USR,$serv,$dbu,$dbp,$db){
	
					$CveCueCR1=$CUE;
					$conexion = mysqli_connect($serv,$dbu,$dbp,$db);
					
					$sqlIP = mysqli_query($conexion,"select * from tabla_inventario WHERE ID='$PALL'");
					$registroIP=mysqli_fetch_array($sqlIP);
					
					$CveBodCR1=$registroIP["CVE_BODEGA"];
					$CNPNoDocu=$registroIP["NO_DOCUMENTO"];
					$CNPNoComple=$registroIP["NO_DOC_COMPLE"];
					$CNPSku=$registroIP["SKU"];
					$CNPSkuAlt=$registroIP["SKU_ALT"];
					$CNPDesc=$registroIP["DESCRIPCION"];
					$CNPFechaEnt=$registroIP["FECHA_ENTRADA"];
					$CNPCanti=$registroIP["CANTIDAD"];
					$CNPLote=$registroIP["LOTE"];
					$CNPLoteWms=$registroIP["LOTEWMS"];
					$CNPLotePro=$registroIP["LOTEPRODU"];
					$CNPCadu=$registroIP["CADUCIDAD"];
					$CNPFactu=$registroIP["FACTURA"];
					$CNPProv=$registroIP["PROVEEDOR"];
					$CNPPxca=$registroIP["PIEZASXCAJA"];
					$CNPCxpall=$registroIP["CAJASXPALLET"];
					$CArmPall=$registroIP["ARM_PALLET"];
					$CNPUbica=$registroIP["UBICACION"];
					$CNPriori=$registroIP["PRIORIDAD"];
					$CNPEdoCai=$registroIP["EDO_CALIDAD"];
					$NPalletPG=$registroIP["NO_PALLET"];
					$TIPUB=$registroIP["TIPO_UBICACION"];
					
					////////Resta el Valor de la Cantidad del Pallet Original///
					
					$CanSobPallOri=$CNPCanti-$CANT;
					$ArmPallOri="1 pallet de ".$CanSobPallOri." piezas";
					$CPKDiv=$CANT;
					
					/////Guarda la división del Pallet Original en la BD - Modifica la tabla del Inventario
					$sqlGM1="UPDATE tabla_inventario SET CANTIDAD='$CanSobPallOri', ARM_PALLET='$ArmPallOri' WHERE ID='$PALL'";
					$resultadoGM1=mysqli_query($conexion,$sqlGM1);
					
					
					/////////Identificar el prefijo configurado
					$sqlIDE1 = mysqli_query($conexion,"select * from wms_configura_pallet WHERE CVE_CUENTA='$CUE'");
					$registroIDE1=mysqli_fetch_array($sqlIDE1);
					$PrefijoPal=$registroIDE1["PREFIJO"];
					
					$sqlGM1="SELECT NO_PALLET FROM tabla_inventario WHERE ID='$PALL'";
					$resultadoGM1=mysqli_query($conexion,$sqlGM1);
					$PL = mysqli_fetch_array($resultadoGM1);
					
					//////Generador de Folio para guardar el concecutivo de la clave del Pallet
					$FechaPallet = substr($PL['NO_PALLET'], -13, 8); // debuelve la fecha del pallet origina
					
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet WHERE FECHA='$FechaPallet'"; 
					$libP = mysqli_query($conexion,$sqlIDP);
					$rs_libP = mysqli_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
					
					////Generador de Folio tabla Inventarios
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysqli_query($conexion,$sqlID); 
					$rs_lib = mysqli_fetch_assoc($lib); 
					$id_nuevoPPall = $rs_lib['ultimo_FOLIO'] + 1;
					
					//////GUARDAR EL PALLET NUEVO EN LA TABLA INVENTARIO//////////
					$ArmadoDivision="1 pallet de ".$CANT." piezas";
					$FechaEnt=date("Y/m/d");
					////Hora y Fecha
					$Hora2=time();
					$HoraOK2=date("H:i:s",$Hora2);
					
					$sqlDP = "insert tabla_inventario (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,TIPO_UBICACION,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA)
        		values('$id_nuevoPPall','$CveBodCR1','$CveCueCR1','$CNPNoDocu','$CNPNoComple','$CNPSku','$CNPSkuAlt','$CNPDesc','$FechaEnt','$CANT','$CNPLote','$CNPLoteWms','$CNPLotePro','$CNPCadu','$CNPFactu','$CNPProv','$CNPPxca','$CNPCxpall','$ArmadoDivision','$ClavePallet','$CNPUbica','$CNPriori','$TIPUB','$NUEVOEC','$USR','$HoraOK2','$FechaEnt')";
				
					$resultadoDP=mysqli_query($conexion,$sqlDP);
										
					/////Generador de Folio para guardar el consecutivo del Pallet
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysqli_query($conexion,$sqlIDP2); 
					$rs_libP2 = mysqli_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
					
					/////Guardar en la BD el consecutivo del No. de Pallet
					$sqlGCP = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$CNPNoDocu','$ClavePallet','$FechaPallet')";
					$resultadoGCP=mysqli_query($conexion,$sqlGCP) or die(mysqli_error());
					
					////Generador de Folio para Guardar el kardex (Registro a MENOS)
					////Hora y Fecha
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
			
					$sqlIDPK1 = "select max(ID) as ultimo_FOLIOPK1 from tabla_kardex"; 
					$libPK1 = mysqli_query($conexion,$sqlIDPK1); 
					$rs_libPK1 = mysqli_fetch_assoc($libPK1); 
					$id_nuevoPK1 = $rs_libPK1['ultimo_FOLIOPK1'] + 1;
						
					/////Guarda la División del Pallet Orignal en el Kardex con un Registro Nuevo
					$sqlMK = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
						values('$id_nuevoPK1','$CveBodCR1','$CveCueCR1','$CNPSku','$CNPSkuAlt','$CNPNoDocu','DIVISION','$CNPUbica','$NPalletPG','-$CPKDiv','$FechaEnt','$HoraOK','$USR')";
					$resultadoMK=mysqli_query($conexion,$sqlMK) or die(mysqli_error());
					
					////Generador de Folio para Guardar el Kardex (Registro a MAS)
					////Hora y Fecha
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
			
					$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
					$libPK = mysqli_query($conexion,$sqlIDPK); 
					$rs_libPK = mysqli_fetch_assoc($libPK); 
					$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
					
					/////Guardar el Registro nuevo en el Kardex
					$NombreMovimiento="DIVISION";
					$FechaEnt=date("Y/m/d");
					$sqlk = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$CNPSku','$CNPSkuAlt','$CNPNoDocu','$NombreMovimiento','$CNPUbica','$ClavePallet','$CANT','$FechaEnt','$HoraOK','$USR')";
					$resultadok=mysqli_query($conexion,$sqlk) or die(mysqli_error());
					}
									
	function make_post_call($url, $postdata) {
		global $token;
		$curl = curl_init($url); 
		curl_setopt($curl, CURLOPT_POST, true);
		curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($curl, CURLOPT_HEADER, false);
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($curl, CURLOPT_HTTPHEADER, array(
		'Authorization: Bearer '.$token,
		'Accept: application/json',
		'Content-Type: application/json'
		));
		curl_setopt($curl, CURLOPT_POSTFIELDS, $postdata); 
		#curl_setopt($curl, CURLOPT_VERBOSE, TRUE);
		$response = curl_exec($curl);
		if (empty($response)) {
			$errmsg=curl_error($curl);
			curl_close($curl);
			} else {
			//generar pedido
			//mostrar resumen
			$info = curl_getinfo($curl);
			//echo "Time took: " . $info['total_time']*1000 . "ms\n";
			curl_close($curl); // close cURL handler
			if($info['http_code'] != 200 && $info['http_code'] != 201 ) {
				echo "<h6 STYLE='FONT-SIZE:18PX; color: ".$st['C-TEXTO2'].";'>Se ha producido un error al verificar el pago.</h6><br>".$info['http_code'].", ".$response;
				echo "<br><br><center><a href='index.php?IDS=".$_GET['IDS']."'><button class='btn'>Regresar</button><a></center><br><br>";
				die();
			}
		}
		// Convert the result from JSON format to a PHP array 
		$jsonResponse = json_decode($response, TRUE);
		return $jsonResponse;
	}
	
	$payerId = $_GET['PayerID'];
	$payment_execute = array(
	'payer_id' => $payerId
	);
	$json = json_encode($payment_execute);
	$json_resp = make_post_call($host."/v1/payments/payment/".$_GET['paymentId']."/execute", $json);
	if($json_resp['state'] == 'approved'){

		///Alta de documento Surtido
		
		/////////Identificar el prefijo configurado
		$sqlIDE1 = mysqli_query($conexion,"select * from wms_configura_ecom WHERE CVE_CUENTA='$_GET[IDS]'");
		$ecomm=mysqli_fetch_array($sqlIDE1);
		$PrefijoCta=$ecomm["PREFIJO"];
		////Generador de Folio para gsrdar el consecutivo de la clave de documento en la tabla_consedocres
		$FechaDocuSur=date("Ymd");
		
		$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consedocsur WHERE FECHA='$FechaDocuSur'"; 
		$libDS = mysqli_query($conexion,$sqlDS); 
		$rs_libDS = mysqli_fetch_assoc($libDS); 
		$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
		
		if ($id_nuevoDS <=9)
		{
			$IdenCeros="0000";
			$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$IdenCeros.$id_nuevoDS;
			$NoDocPG=$ClaveDocSur;
		}
		
		if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
		{
			$IdenCeros="000";
			$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$IdenCeros.$id_nuevoDS;
			$NoDocPG=$ClaveDocSur;
		}
		
		if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
		{
			$IdenCeros="00";
			$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$IdenCeros.$id_nuevoDS;
			$NoDocPG=$ClaveDocSur;
		}
		
		if ($id_nuevoDS >=999)
		{
			$IdenCeros="0";
			$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$IdenCeros.$id_nuevoDS;
			$NoDocPG=$ClaveDocSur;
		}
		
		////Generador de Folio para guardar el consecutivo del # de Documento de Recibo
		$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consedocsur"; 
		$libP2 = mysqli_query($conexion,$sqlIDP2); 
		$rs_libP2 = mysqli_fetch_assoc($libP2); 
		$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
		
		////Guardar en la BD el consecutivo del # de Documento de Recibo
		$sqlGDS = "insert tabla_consedocsur (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,FECHA)
		values('$id_nuevoP2','1','$_GET[IDS]','$id_nuevoDS','$NoDocPG','$FechaDocuSur')";
		$resultadoGDS=mysqli_query($conexion,$sqlGDS);
		
		///////GENERADOR DE FOLIO///////////
		$sqlID = "select max(ID) as ultimo_FOLIO from tabla_docsurtido"; 
		$lib = mysqli_query($conexion,$sqlID); 
		$rs_lib = mysqli_fetch_assoc($lib); 
		$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
		
		//////HORA y FECHA/////
		$Hora=time();
		$HoraOK=date("H:i:s",$Hora);
		$Fecha=date("Y/m/d");
		$xl = $ecomm['VIGENCIA_DOCUMENTO'];
		$VigenPG=date('Y/m/d', strtotime($Date. " + $xl days"));
		
		//destino
		$con="SELECT MAX(ID) FROM tabla_destinosclientes";
		$sqlsel = mysqli_query($conexion,$con);					
		$reg = mysqli_fetch_array($sqlsel);	
		$IDREG = $reg[0] +1;
		$sqlins = mysqli_query($conexion,"INSERT INTO tabla_destinosclientes VALUES ('$IDREG','1','$_GET[IDS]','$NoDocPG','$_GET[nom]','','$_GET[cal]','$_GET[nex]','$_GET[col]','$_GET[cp]','$_GET[mun]','$_GET[est]','$_GET[pais]','$_GET[tel]','$_GET[ema]','$HoraOK','$Fecha','$ecomm[USUARIO_ALTAS]')");
		
		//////GUARDAR EL LA BD//////////
		$sqlGP = "insert into tabla_docsurtido (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,EDO_DOCUMENTO,REFERENCIA1,REFERENCIA2,TIPO_SALIDA,DESTINO,TIPO_SURTIDO,BACKORDER,PRIORIDAD,FECHA_CREADO,HORA_CREADO,DISPONIBILIDAD,OBSERVACIONES,ANOTA_1,ANOTA_2,FECHA_REG,HORA_REG,USUARIO_REG)
		values('$id_nuevo','1','$_GET[IDS]','$NoDocPG','POR SURTIR','','','$ecomm[CALIDAD]','$IDREG','$ecomm[TIPO_SURTIDO]','$ecomm[BACKORDER]','$ecomm[PRIORIDAD_SURTIDO]','$Fecha','$HoraOK','$VigenPG','','','','$Fecha','$HoraOK','$ecomm[USUARIO_ALTAS]')";
		
		$resultadoGP=mysqli_query($conexion,$sqlGP);
		
		//planificar reserva de productos
		for($i = 0;$i< $_SESSION['contador'];$i++){
			$tipoapartado = 0;
			
			//Revisar existencias en almacén
			$peticion = "SELECT SUM(CANTIDAD) AS TOTALP FROM `tabla_inventario` where EDO_CALIDAD='D' AND SKU='".$_SESSION['producto'][$i]."' AND CVE_CUENTA='$_GET[IDS]' AND STR_TO_DATE(CADUCIDAD, '%Y/%m/%d' ) > CURDATE( )";
			$resultado = mysqli_query($conexion, $peticion);
			$fila=mysqli_fetch_array($resultado);
			if ($fila['TOTALP']>=$_SESSION['numb'][$i]){$tipoapartado = 4;}
			
			//revisar existencias en staying
			$peticion = "SELECT * FROM tabla_inventario WHERE EDO_CALIDAD='D' AND SKU='".$_SESSION['producto'][$i]."' AND CVE_CUENTA='$_GET[IDS]' AND CANTIDAD>0 AND TIPO_UBICACION = 'STAYING' AND STR_TO_DATE( CADUCIDAD,  '%Y/%m/%d' ) > CURDATE( ) ORDER BY CANTIDAD DESC";
			$resultado = mysqli_query($conexion, $peticion);
			$totalstay = 0;
			while($fila=mysqli_fetch_array($resultado)){
				if(($fila['CANTIDAD']>=$_SESSION['numb'][$i]) OR ($fila['CANTIDAD']==$_SESSION['numb'][$i])){$tipoapartado = 2;}
				$totalstay += $fila['CANTIDAD'];
			}
			if($_SESSION['numb'][$i]<=$totalstay){$tipoapartado = 2;}
			
			//revisar existencias en stock
			$peticion = "SELECT * FROM tabla_inventario WHERE EDO_CALIDAD='D' AND SKU='".$_SESSION['producto'][$i]."' AND CVE_CUENTA='$_GET[IDS]' AND TIPO_UBICACION = 'STOCK' AND STR_TO_DATE(CADUCIDAD, '%Y/%m/%d') > CURDATE( ) AND CANTIDAD>0 ORDER BY CANTIDAD DESC";
			$resultado = mysqli_query($conexion, $peticion);
			$totalstay = 0;
			while($fila=mysqli_fetch_array($resultado)){
				if(($fila['CANTIDAD']>=$_SESSION['numb'][$i]) OR ($fila['CANTIDAD']==$_SESSION['numb'][$i])){$tipoapartado = 3;}
				$totalstay += $fila['CANTIDAD'];
			}
			if($_SESSION['numb'][$i]<=$totalstay){$tipoapartado = 3;}
			
			//revisar existencias en picking
			$peticion = "select tabla_inventario.*,coalesce(tabla_pickingfijo.PICKEO_MAXIMO,tabla_inventario.cantidad) AS PICKEO_MAXIMO FROM tabla_inventario LEFT JOIN tabla_pickingfijo on tabla_inventario.UBICACION=tabla_pickingfijo.CLAVEUBICACION WHERE EDO_CALIDAD='D' AND tabla_inventario.SKU='".$_SESSION['producto'][$i]."' AND tabla_inventario.CVE_CUENTA='$_GET[IDS]' AND tabla_inventario.CANTIDAD>0 AND tabla_inventario.TIPO_UBICACION = 'PICKING' AND STR_TO_DATE(tabla_inventario.CADUCIDAD, '%Y/%m/%d') > CURDATE( ) ORDER BY tabla_inventario.CANTIDAD DESC";
			$resultado = mysqli_query($conexion, $peticion);
			while($fila=mysqli_fetch_array($resultado)){
				if($fila['PICKEO_MAXIMO']>=$_SESSION['numb'][$i]){$tipoapartado = 4;}
			
			
			//Detalle doc surtido
			
			///////GENERADOR DE FOLIO///////////
			$sqlID = "select max(ID) as ultimo_FOLIO from tabla_detalledocsur"; 
			$lib = mysqli_query($conexion,$sqlID); 
			$rs_lib = mysqli_fetch_assoc($lib); 
			$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
			
			//generar fila
			$sqlID = "SELECT MAX( FILA ) +1 AS F FROM tabla_detalledocsur WHERE NO_DOCUMENTO = '$NoDocPG'"; 
			$lib = mysqli_query($conexion,$sqlID); 
			$rs_lib = mysqli_fetch_assoc($lib); 
			$filan = $rs_lib['F'] + 1;
			
			$sqlID = "SELECT DESCRIPCION FROM tabla_inventario WHERE SKU='".$_SESSION['producto'][$i]."' AND CVE_CUENTA='$_GET[IDS]'"; 
			$lib = mysqli_query($conexion,$sqlID); 
			$rs_lib = mysqli_fetch_assoc($lib); 
			$desc = $rs_lib['DESCRIPCION'];
			
			if ($tipoapartado==4){$tip="EN PICKING";}else{$tip="EN STOCK";}
			//////GUARDAR EL LA BD//////////
			$sqlGP = "insert into tabla_detalledocsur values('$id_nuevo','1','$_GET[IDS]','$filan','$NoDocPG','".$_SESSION['producto'][$i]."','$desc','','','','$ecomm[CALIDAD]','".$_SESSION['numb'][$i]."','','','','$tip','0','POR CONFIRMAR','$ecomm[USUARIO_ALTAS]','$HoraOK','$Fecha')";
			echo "<script>alert('$sqlGP')</script>";
			$resultadoGP=mysqli_query($conexion,$sqlGP);
			
			////DETALLEDOCSURPRIO
			//
			/////////GENERADOR DE FOLIO///////////
			//$sqlID = "select max(ID) as ultimo_FOLIO from tabla_detalledocsurprio"; 
			//$lib = mysqli_query($conexion,$sqlID); 
			//$rs_lib = mysqli_fetch_assoc($lib); 
			//$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
			//
			////////GUARDAR EL LA BD//////////
			//$sqlGP = "insert into tabla_detalledocsurprio values('$id_nuevo','1','$_GET[IDS]','$NoDocPG','".$_SESSION['producto'][$i]."','','0','2','$ecomm[USUARIO_ALTAS]','$Fecha','$HoraOK')";
			//
			//$resultadoGP=mysqli_query($conexion,$sqlGP);
			
			//ejecutar reserva
			if($tipoapartado != 0){
				//PICKING
				$reserva=0;
				
				if($tipoapartado==4){
					$peticion = "select tabla_inventario.*,coalesce(tabla_pickingfijo.PICKEO_MAXIMO,tabla_inventario.cantidad) AS PICKEO_MAXIMO FROM tabla_inventario LEFT JOIN tabla_pickingfijo on tabla_inventario.UBICACION=tabla_pickingfijo.CLAVEUBICACION WHERE EDO_CALIDAD='D' AND tabla_inventario.SKU='".$_SESSION['producto'][$i]."' AND tabla_inventario.CVE_CUENTA='$_GET[IDS]' AND tabla_inventario.TIPO_UBICACION = 'PICKING' AND tabla_inventario.CANTIDAD>0 AND STR_TO_DATE(tabla_inventario.CADUCIDAD, '%Y/%m/%d') > CURDATE( ) ORDER BY tabla_inventario.CANTIDAD,PICKEO_MAXIMO DESC";
					$resultado = mysqli_query($conexion, $peticion);
					while($fila=mysqli_fetch_array($resultado)){
						//cant, pick_max
						if(($fila['PICKEO_MAXIMO']>=(($_SESSION['numb'][$i])-$reserva)) AND ($reserva<$_SESSION['numb'][$i])){
							if($fila['CANTIDAD']<=($_SESSION['numb'][$i]-$reserva)){
								//CAMBIO CALIDAD
								CAMBIOC($fila['ID'],$ecomm['CALIDAD']);
								$reserva+= $fila['CANTIDAD'];
								}else{
								//DIVISION Y CAMBIO
								$CANTIDAD= $fila['CANTIDAD']-($fila['CANTIDAD']-($_SESSION['numb'][$i]-$reserva));
								$reserva= $_SESSION['numb'][$i];
								DIVISIONC($fila['ID'],$ecomm['CALIDAD'],$CANTIDAD,$_GET['IDS'],$ecomm['USUARIO_ALTAS'],$serv,$dbu,$dbp,$db);
							}}}}
							
					//STOCK Y STAY
					$peticion = "SELECT * FROM tabla_inventario WHERE EDO_CALIDAD='D' AND tabla_inventario.SKU='".$_SESSION['producto'][$i]."' AND tabla_inventario.CVE_CUENTA='$_GET[IDS]' AND tabla_inventario.TIPO_UBICACION != 'PICKING' AND tabla_inventario.CANTIDAD>0 AND STR_TO_DATE(tabla_inventario.CADUCIDAD, '%Y/%m/%d') > CURDATE( ) ORDER BY CANTIDAD DESC";
					$resultado = mysqli_query($conexion, $peticion);
					while($fila=mysqli_fetch_array($resultado)){
						//cant
						if($reserva<$_SESSION['numb'][$i]){
							if($fila['CANTIDAD']<=($_SESSION['numb'][$i]-$reserva)){
								//CAMBIO CALIDAD
								CAMBIOC($fila['ID'],$ecomm['CALIDAD']);
								$reserva+= $fila['CANTIDAD'];
								}else{
								//DIVISION Y CAMBIO
								$CANTIDAD= $fila['CANTIDAD']-($fila['CANTIDAD']-($_SESSION['numb'][$i]-$reserva));
								$reserva= $_SESSION['numb'][$i];
								DIVISIONC($fila['ID'],$ecomm['CALIDAD'],$CANTIDAD,$_GET['IDS'],$ecomm['USUARIO_ALTAS'],$serv,$dbu,$dbp,$db);
							}}}
					
					if($reserva < $_SESSION['numb'][$i]){
					$peticion = "select tabla_inventario.*,coalesce(tabla_pickingfijo.PICKEO_MAXIMO,tabla_inventario.cantidad) AS PICKEO_MAXIMO FROM tabla_inventario LEFT JOIN tabla_pickingfijo on tabla_inventario.UBICACION=tabla_pickingfijo.CLAVEUBICACION WHERE EDO_CALIDAD='D' AND tabla_inventario.SKU='".$_SESSION['producto'][$i]."' AND tabla_inventario.CVE_CUENTA='$_GET[IDS]' AND tabla_inventario.TIPO_UBICACION = 'PICKING' AND tabla_inventario.CANTIDAD>0 AND STR_TO_DATE(tabla_inventario.CADUCIDAD, '%Y/%m/%d') > CURDATE( ) ORDER BY tabla_inventario.CANTIDAD,PICKEO_MAXIMO DESC";
					$resultado = mysqli_query($conexion, $peticion);
					while($fila=mysqli_fetch_array($resultado)){
						//cant, pick_max
						if(($fila['PICKEO_MAXIMO']>=(($_SESSION['numb'][$i])-$reserva)) AND ($reserva<$_SESSION['numb'][$i])){
							if($fila['CANTIDAD']<=($_SESSION['numb'][$i]-$reserva)){
								//CAMBIO CALIDAD
								CAMBIOC($fila['ID'],$ecomm['CALIDAD']);
								$reserva+= $fila['CANTIDAD'];
								}else{
								//DIVISION Y CAMBIO
								$CANTIDAD= $fila['CANTIDAD']-($fila['CANTIDAD']-($_SESSION['numb'][$i]-$reserva));
								$reserva= $_SESSION['numb'][$i];
								DIVISIONC($fila['ID'],$ecomm['CALIDAD'],$CANTIDAD,$_GET['IDS'],$ecomm['USUARIO_ALTAS'],$serv,$dbu,$dbp,$db);
		}}}}}}}
							
							
							
		echo "<center><h6 STYLE='FONT-SIZE:18PX; color: ".$st['C-TEXTO2'].";'>Su pago se ha confirmado y su pedido se ha registrado correctamente con el folio: <br><strong>$_GET[paymentId]</strong>.</h6></center>";
		
		echo "<center><form action='ex.php' target='_blank' method='GET'>
		<input type='hidden' name='IDS' value='$_GET[IDS]'/>
		<input type='hidden' name='paymentId' value='$_GET[paymentId]'/>
		<input type='hidden' name='col' value='$_GET[col]'/>
		<input type='hidden' name='cal' value='$_GET[cal]'/>
		<input type='hidden' name='nex' value='$_GET[nex]'/>
		<input type='hidden' name='cp' value='$_GET[cp]'/>
		<input type='hidden' name='ref' value='$_GET[ref]'/>
		<input type='hidden' name='mun' value='$_GET[mun]'/>
		<input type='hidden' name='est' value='$_GET[est]'/>
		<input type='hidden' name='nom' value='$_GET[nom]'/>
		<input type='hidden' name='tel' value='$_GET[tel]'/>
		<input type='hidden' name='ema' value='$_GET[ema]'/>
		<input type='hidden' name='ndoc' value='$NoDocPG'/>
		<input type='submit' value=' Comprobante ' class='btn'/>
		</form></center>";
		
		
	}else{
		echo "<center><h6 STYLE='FONT-SIZE:18PX; color: ".$st['C-TEXTO2'].";'>No fué posible validar su pago, mensaje del servidor: </h6><p>$errmsg</p></center>";
	}
	echo "<br><center><a href='php/destruir.php?IDS=".$_GET['IDS']."'><button class='btn'> Ok </button></center>";
	//session_destroy();
include "php/pie.inc" ?>